/*  ==========================================================================
    Module: TOOLTIP
    ========================================================================== */

    /* VARIABLES
    ========================================================================== */

        $tooltip-border-color:              $gray-20;
        $tooltip-background:                $white;
        $tooltip-font-size:                 1.2rem;

    /* STYLING
    ========================================================================== */

    .tooltip
    {
        position: relative;
    }

    .tooltip__spanWrapper
    {
        position: absolute;
        top: calc(100% + 7px);
        left: initial;
        right: 0;
        z-index: 13;

        margin-left: 0;

        color: $text-color;

        &::before,
        &::after
        {
            position: absolute;

            width: 0;
            height: 0;

            content: '';
        }

        &::before
        {
            top: -6px;
            left: 30px;
            z-index: 100;

            margin-left: 1px;

            border-left: 8px solid transparent;
            border-right: 8px solid transparent;
            border-bottom: 8px solid $tooltip-background;
        }

        &::after
        {
            top: -8px;
            left: 30px;
            z-index: 99;

            border-left: 9px solid transparent;
            border-right: 9px solid transparent;
            border-bottom: 9px solid $tooltip-border-color;
        }
    }

    .tooltip__text
    {
        position: relative;
        z-index: 10;
        padding: 10px 15px;
        background: $tooltip-background;

        display: inline-block;
        max-height: 250px;

        border: 1px solid $tooltip-border-color;
        font-size: $tooltip-font-size;
        text-align: left;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .contentTest
    {
        margin: 4em 0;
        text-align: center;
    }


    /* POSITIONING
    ========================================================================== */

    .tooltip--right
    {
        .tooltip__spanWrapper
        {
            left: auto;
            right: 0;
        }
    }

    .tooltip__spanWrapper--center
    {
        &::before,
        &::after
        {
            left: calc(50% - 8px)
        }
    }

    .tooltip__spanWrapper--top
    {
        top: 1px;
        right: auto;
        left: 50%;
        transform: translateY(-100%) translateX(-50%);

        &:before
        {
            border-top: 8px solid $white;
            border-bottom: none;
            top: auto;
            bottom: 0;
        }

        &:after
        {
            border-top: 9px solid $gray-20;
            border-bottom: none;
            top: auto;
            bottom: -1px;
        }
    }


    /* BUTTON
    ========================================================================== */

    .tooltip--button
    {
        .tooltip__spanWrapper
        {
            top: auto;
            bottom: 37px;
            left: 0px;
    
            @include breakpoint(large)
            {
                top: 100%;
                left: 0;
                bottom: auto;
            }

            &:before,
            &:after
            {
                left: auto;
                top: auto;

                border: none;
            }
        }

        .tooltip__text
        {
            white-space: nowrap;
            border: 0;
            color: $text-color;
            background-color: $white;
            box-shadow: 0 1px 4px $gray-10;
        }

        .button
        {
            font-weight: $tooltip-button-font-weight;
            font-size: $tooltip-button-font-size;

            &.active
            {
                background-color: $white;
                box-shadow: 0 0 4px $gray-10;
            }
        }

        .tooltip__spanWrapper--center
        {
            @include breakpoint(large)
            {
                left: auto;
            }
        }
    }